Upgrade on my iPad does not work

This version of Airtable is no longer supported. Sorry for the inconvenience.

Please upgrade to continue using Airtable.

OK - I push the upgrade link and it takes me to an Apps page where the Airtable shows as installed with an OPEN box. I push OPEN and I get the above message. This is a continuous loop.

How can I get this to work? I did download and install the latest version from the App store.

Karl
kpw413@me.com

What version iPad do you have and what version of iOS do you have installed on it?

If the iPad is too old, you will not be able to use the Airtable app.

1 Like

I have a iPad Version 10.3.3 (14G60)

Model MD514LL/A

It runs iOS 10.3.3 and is up-to-date

It looks like you have an older iPad, such as a 4th generation iPad. Iā€™m afraid that you cannot use the Airtable mobile app on this particular iPad.

Airtable will not work with older versions of the Airtable mobile app. However, you cannot install the newer version of the app because the newer version requires iOS 11. You cannot install iOS 11, and your iPad claims the iOS is up-to-date, because 10.3.3 is the highest version of iOS that your hardware is capable of running.